### Function

# Gimp Selection translate

#### Declaration [src]

    gboolean
    gimp_selection_translate (
      GimpImage* image,
      gint offx,
      gint offy
    )

#### Description [src]

Translate the selection by the specified offsets.

This procedure actually translates the selection for the specified image by the specified offsets. Regions that are translated from beyond the bounds of the image are set to empty. Valid regions of the selection which are translated beyond the bounds of the image because of this call are lost.

#### Parameters

`image`

  Type: `GimpImage`

  The image.

  The data is owned by the caller of the function.

`offx`

  Type: `gint`

  X offset for translation.

`offy`

  Type: `gint`

  Y offset for translation.

#### Return value

Type: `gboolean`

TRUE on success.